package cn.sikey.hmd.dal.mysql;

import cn.sikey.framework.mybatis.core.mapper.BaseMapperX;
import cn.sikey.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.sikey.hmd.dal.dataobject.AdminDeviceDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface AdminDeviceMapper extends BaseMapperX<AdminDeviceDO> {

    default AdminDeviceDO selectByDeviceId(String deviceId){
        LambdaQueryWrapperX<AdminDeviceDO> wrapper = new LambdaQueryWrapperX<>();
        wrapper.eq(AdminDeviceDO::getDeviceId, deviceId);
        return selectOne(wrapper);
    }
}
